apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: {{ template "signals-frontend.fullname" . }}
  labels:
    {{- include "signals-frontend.labels" . | nindent 4 }}
  annotations:
    kubernetes.io/ingress.class: {{ .Values.ingress.class }}
    ingress.kubernetes.io/hsts-include-subdomains: "true"
    ingress.kubernetes.io/hsts-max-age: "315360000"
    ingress.kubernetes.io/hsts-preload: "true"
    ingress.kubernetes.io/ssl-redirect: "true"
spec:
  rules:
    - host: {{ .Values.ingress.host }}
      http:
        paths:
          - path: /
            backend:
              serviceName: {{ template "signals-frontend.fullname" . }}
              servicePort: http
